Partial Public Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

    End Sub

    ' This example loads an image from a file, does some processing and writes embedded images using base64 encoding to the page.
    Public Sub EmbedExampleImages()
        Dim Imaging As Marblecore.MarblecoreImaging
        Dim sImage

        Imaging = New Marblecore.MarblecoreImaging()
        sImage = Server.MapPath("MarblecoreImagingExample.jpg")

        ' Have a license? Uncomment the following line and supply your product key and license code...
        'Imaging.LicenseVerify "<Product key>", "<License code>"

        If Imaging.LoadFromFile(sImage) Then
            ' Embed the original image
            Response.Write("<div>&nbsp;</div><div><b>Original image (inserted using base64 embedding):</b></div><div><img src='data:" & Imaging.MIME & ";base64," & Imaging.SaveToBase64 & "' alt='Base64 encoded image' width='" & Imaging.Width & "' height='" & Imaging.Height & "' /></div>")

            ' Create a thumbnail and embed the result image
            Imaging.Thumbnail(200, 200, Marblecore.MarblecoreImagingThumbnail.MarblecoreImagingThumbnailSkew3D)

            Response.Write("<div>&nbsp;</div><div><b>Thumbnail with effect:</b></div><div><img src='data:" & Imaging.MIME & ";base64," & Imaging.SaveToBase64 & "' alt='Base64 encoded image' width='" & Imaging.Width & "' height='" & Imaging.Height & "' /></div>")

            ' Reload the original image, apply the Oilpaint filter and embed the result image
            Imaging.LoadFromFile(Imaging.FilePath)
            Imaging.FilterOilPaint()

            Response.Write("<div>&nbsp;</div><div><b>Oilpaint filter:</b></div><div><img src='data:" & Imaging.MIME & ";base64," & Imaging.SaveToBase64 & "' alt='Base64 encoded image' width='" & Imaging.Width & "' height='" & Imaging.Height & "' /></div>")
        Else
            Response.Write("<div>&nbsp;</div><b>Image (" & sImage & ") not found!</b>")
        End If
    End Sub

End Class